Skip to main content
POST
/
organizations
/
{organizationID}
/
api-keys
Create an Organization API Key
curl --request POST \
  --url https://api.xata.tech/organizations/{organizationID}/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "expiry": "2023-11-07T05:31:56Z",
  "scopes": [
    "<string>"
  ],
  "projects": [
    "<string>"
  ],
  "branches": [
    "<string>"
  ]
}
'
import requests

url = "https://api.xata.tech/organizations/{organizationID}/api-keys"

payload = {
"name": "<string>",
"expiry": "2023-11-07T05:31:56Z",
"scopes": ["<string>"],
"projects": ["<string>"],
"branches": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
expiry: '2023-11-07T05:31:56Z',
scopes: ['<string>'],
projects: ['<string>'],
branches: ['<string>']
})
};

fetch('https://api.xata.tech/organizations/{organizationID}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "key": {
    "id": "<string>",
    "name": "<string>",
    "preview": "<string>",
    "scopes": [
      "<string>"
    ],
    "projects": [
      "<string>"
    ],
    "branches": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "expiry": "2023-11-07T05:31:56Z",
    "last_used": "2023-11-07T05:31:56Z",
    "token": "<string>",
    "created_by": "<string>",
    "created_by_key": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organizationID
string
required

Unique identifier for a specific organization

Pattern: [a-zA-Z0-9_-~:]+

Body

application/json
name
string
required
expiry
string<date-time> | null

Expiration date for the API key, null for no expiry

scopes
string[]

Optional scopes assigned to the API key

Maximum array length: 50
projects
string[]

Limit access to these projects

Maximum array length: 50
branches
string[]

Limit access to these branches

Maximum array length: 50

Response

API Key created

key
object
required